﻿  // @file help.h
  // @brief Help message.
  // @author Mamoru Kaminaga
  // @date 2017-12-14 10:34:25
  // Copyright 2017 Mamoru Kaminaga
  // Released under the MIT license
  // http://opensource.org/licenses/mit-license.php
#ifndef HELP_H_
#define HELP_H_

#define HELP_MESSAGE  L"\
usage: itf2img [--version] [--help] [-verbose] <command> [<args>] <path>\n\
\n\
These are common itf2img commands used in various situations:\n\
\n\
create PNG file from text file\n\
  d2p Create a PNG file from a decimal formatted text file\n\
  h2p Create a PNG file from a hexadecimal formatted text file\n\
\n\
  arguments\n\
    [-o <path>] specifies output directory.\n\
\n\
create text file from PNG file\n\
  p2d Create a decimal formatted text file from a PNG file\n\
  p2h Create a hexadecimal formatted text file from a PNG file\n\
  p2c Create a ITF-2 command file from a PNG file\n\
\n\
  arguments\n\
    [-o <path>] specifies output directory.\n\
\n\
show PNG file information\n\
  s   Show a data size for an ITF-2 command arguments\n\
  i   Show a PNG image info\n\
\n\
Examples\n\
 * Create a decimal formatted text file dec.txt form a PNG file a.png\n\
  itf2img p2d -o dec.txt a.png\n\
\n\
 * Create a hexadecimal formatted text file hex.txt form a PNG file a.png\n\
  itf2img p2h -o hex.txt a.png\n\
\n\
 * Create a ITF-2 command file cmd.txt form a PNG file a.png\n\
  itf2img p2c -o cmd.txt a.png\n\
\n\
 * Create a PNG file a.png from a decimal formatted text file dec.txt\n\
  itf2img d2p -o a.png dec.txt\n\
\n\
 * Create a PNG file a.png from a hexadecimal formatted text file dec.txt\n\
  itf2img h2p -o a.png hex.txt\n\
\n\
The input PNG file type must be full color RGB or 8 bit indexed color without\n\
alpha channel."

#endif  // HELP_H_
