# makefile_unix.sh
# date 2017-12-17
# Copyright 2017 Mamoru Kaminaga
# Released under the MIT license
# http://opensource.org/licenses/mit-license.php
TARGET = itf2img.out
SRC = itf2_image.cc main.cc util.cc
OBJDIR = build/unix
OBJS = $(addprefix $(OBJDIR)/, $(notdir $(SRC:.cc=.o)))

GCC = g++
INCLUDE = -I /usr/local/include/
CFLAGS = -std=c++0x -g -Wall -fpermissive -O2 -DUNICODE -DUNIX
LIBS = -lrt -lstdc++ -lpng -lz
LDFLAGS = -L/usr/local/lib/ -Wl,-R/usr/local/lib/

$(TARGET): $(OBJS)
	$(GCC) -o $@ $(LDFLAGS) $(OBJS) $(LIBS)

$(OBJDIR)/%.o: %.cc
	mkdir -p $(OBJDIR)
	$(GCC) $(CFLAGS) $(INCLUDE) -o $@ -c $^
